using Godot;

namespace Hellswipers.Game;

public partial class Audio : Node {
    private AudioStreamPlayer _okPlayer;
    private AudioStreamPlayer _errPlayer;

    public void Ok() => _okPlayer.Play();
    public void Err() => _errPlayer.Play();
    
    public override void _Ready() {
        _okPlayer = GetNode<AudioStreamPlayer>("OkSound");
        _errPlayer = GetNode<AudioStreamPlayer>("ErrorSound");
    }
}